Package ru.bitel.bgbilling.modules.drweb.server.bean

# Class DrWebManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.drweb.server.bean.DrWebManager

public class DrWebManager extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DrWebManager(Connection con, ParameterMap moduleSetup, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `activeAgent(AgentAVD agent)`
  `void`
  `blockAgent(AgentAVD agent, int monthCount)`
  `void`
  `checkMaxAgentCount(int cid)`
  `void`
  `deleteAgent(AgentAVD agent)`
  `void`
  `doChanges(AgentAVD agent)`
  Переназначает тариф на сервере AVDESK
  `int`
  `getActualAgentCount(int cid)`
  `AgentAVD`
  `getAgent(int id)`
  `List<AgentAVD>`
  `getAgentList(int contractId)`
  `List<AgentAVD>`
  `getAgentList(Date date)`
  `List<AgentAVD>`
  `getAgentListAll()`
  `List<AgentAVD>`
  `getLockAgent()`
  `AgentAVD`
  `newAgent(int contractId, int tariffId)`
  `void`
  `prolongAgent(AgentAVD agent, Date dateTo)`
  `void`
  `toChangeTariff(AgentAVD agent, int nextTariffId)`
  Назначает следующий тариф для агента

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DrWebManager

    public DrWebManager(Connection con, ParameterMap moduleSetup, int moduleId)

- ## Method Details

  - ### newAgent

    public AgentAVD newAgent(int contractId, int tariffId) throws Exception
    Throws:
      `Exception`

  - ### getAgentList

    public List<AgentAVD> getAgentList(int contractId) throws SQLException
    Throws:
      `SQLException`

  - ### getAgentListAll

    public List<AgentAVD> getAgentListAll() throws SQLException
    Throws:
      `SQLException`

  - ### getAgent

    public AgentAVD getAgent(int id) throws SQLException
    Throws:
      `SQLException`

  - ### getAgentList

    public List<AgentAVD> getAgentList(Date date) throws SQLException
    Throws:
      `SQLException`

  - ### getLockAgent

    public List<AgentAVD> getLockAgent() throws SQLException
    Throws:
      `SQLException`

  - ### prolongAgent

    public void prolongAgent(AgentAVD agent, Date dateTo)

  - ### blockAgent

    public void blockAgent(AgentAVD agent, int monthCount) throws Exception
    Throws:
      `Exception`

  - ### deleteAgent

    public void deleteAgent(AgentAVD agent) throws Exception
    Throws:
      `Exception`

  - ### activeAgent

    public void activeAgent(AgentAVD agent) throws Exception
    Throws:
      `Exception`

  - ### toChangeTariff

    public void toChangeTariff(AgentAVD agent, int nextTariffId) throws Exception
    Назначает следующий тариф для агента
    Parameters:
      `agent` -
      `groupTitle` -
    Throws:
      `Exception`

  - ### doChanges

    public void doChanges(AgentAVD agent) throws Exception
    Переназначает тариф на сервере AVDESK
    Parameters:
      `agent` -
      `groupTitle` -
    Throws:
      `Exception`

  - ### getActualAgentCount

    public int getActualAgentCount(int cid) throws SQLException
    Throws:
      `SQLException`

  - ### checkMaxAgentCount

    public void checkMaxAgentCount(int cid) throws SQLException
    Throws:
      `SQLException`